var mLeftSeconds = 0;
var mWaitingSeconds = 60;

function initPage() {
}

function bindPage() {
	bindData();
}

function bindData() {

}

function onSendCode() {
	if (mLeftSeconds == 0) {
		var phone = $.trim($("#phone").val());
		if (isPhoneNumber(phone) == false) {
			showToast("手机号码输入无效");
			return;
		}

		mLeftSeconds = mWaitingSeconds;
		var data = {
			phone: phone,
			type: 2
		};
		waitSendCodeOneMinute();

		jAjaxPost("/verifyCode", data, function (jsonData) {
				waitSendCodeOneMinute();
			}, function () {
				$('#codeBlock').css('color', '#F0BE1B');
			}, function () {
				mLeftSeconds = 0;
			}
		);
	}
}

function waitSendCodeOneMinute() {
	$('#codeBlock').css('color', '#ADADAD').removeClass('bg-danger');
	$("#codeBlock").html(mLeftSeconds + "s");
	setTimeout("countdown();", 1000);
}

function countdown() {
	mLeftSeconds--;
	if (mLeftSeconds > 0) {
		$("#codeBlock").html(mLeftSeconds + "s");
		setTimeout("countdown();", 1000);
	} else {
		$("#codeBlock").html('点击发送').css('color', '#fff').addClass('bg-danger');
	}
}

function onResetPassword() {
	var phone = $.trim($("#phone").val());
	var code = $.trim($("#code").val());
	var password = $('#password').val();

	var errMsg = getFormErrorMessage(phone, code, password);
	if (errMsg != null) {
		showToast(errMsg);
		reutrn;
	}

	var data = {
		phone: phone,
		code: code,
		password: password,
		re_password: password
	};
	console.dir(data)
	jAjaxPost('/forgetPassword', data, function (jsonData) {
		showToast('密码已成功修改');
		setTimeout(goBack, CONFIG_TOAST_DURATION_MILLISECONDS);
	});
}

function getFormErrorMessage(phone, code, password) {
	if (phone == '') {
		return "请输入手机号码";
	}
	if (isPhoneNumber(phone) == false) {
		return "手机号码输入无效";
	}
	if (code == '') {
		return "请输入验证码";
	}
	if (code.length != 4) {
		return "验证码长度有误";
	}
	if (password == '') {
		return '请输入密码';
	}
	if (password.length < 8) {
		return'密码长度至少为8位';
	}
	if (password.length > 16) {
		return '密码长度最多为16位';
	}
	return null;
}

function clearPhone() {
	$('#phone').val('').focus();
}

function showPassword() {
	$('#password').attr('type', 'text');
}

function hidePassword() {
	$('#password').attr('type', 'password');
}