//change Notice to corresponding name
var mNoticeList = [];
var mXXXXPageNumber = 1;
var mXXXXLoading = false;
var mXXXXFullyLoaded = false;

function initPage() {
    $('.page').scroll(function() {
        var reachedBottom = isScrollToBottom(this);
        if (reachedBottom) {
            if (mXXXXLoading == false) {
                if (mXXXXFullyLoaded == false) {
                    bindNoticeListApi();
                } else {
                    showToast(CONFIG_NO_MORE_DATA_MESSAGE);
                }
            }
        }
    });
}

function bindPage() {
    bindData();
}

function bindData() {
    bindNoticeListApi();
}

function bindNoticeListApi() {
    mXXXXLoading = true;
    var data = { };
    data.page = mXXXXPageNumber++;
    jAjaxGet('/public/announcements', null, function (json) {
        console.log(data.page, json.list.length)
        mNoticeList = mNoticeList.concat(json.list);
        if (json.list.length < CONFIG_PAGE_SIZE) {
            mXXXXFullyLoaded = true;
        }
        bindNoticeList();
        mXXXXLoading = false;
    }, function () {
        mXXXXLoading = false;
    }, function () {
        mXXXXLoading = false;
    })
}

function bindNoticeList() {
    var html = getNoticeListHtml();
    $('#noticeList').html(html);
}

function getNoticeListHtml() {
    if (mNoticeList.length == 0) {
        return getEmptyDataCode();
    }
    var html = '';
    $(mNoticeList).each(function (index, item) {
        html += getNoticeHtml(index, item);
    });
    return html;
}

function getNoticeHtml(index, item) {
    var html = '<div class="row middle-y p-2" onclick="chooseNotice(' + index + ');">';
    html += '<div class="col">' + item.title + '</div>';
    html += '<div>' + item.created_at + '</div>';
    html += '</div>';

    html += '<div class="border-bottom small">' + item.content + '</div>';
    return html;
}

function chooseNotice(index) {
    var notice = mNoticeList[index];
    openWinWithCache('announcement_details', CONST_CACHE_ANNOUNCEMENT_ID, notice.id);
}
