function initPage() {
	
}

function bindPage() {
	bindData();
}

function bindData() {
    var images = getBannerImages();
    bindBannerList(images);
}

function getBannerImages() {
    var images = [];
    images.push('http://noahsoft.site:8070/data/6dc9c42770e4430abb507168e87c85b6.jpg');
    images.push('http://noahsoft.site:8070/data/c06aea4f2ecd46fc8ac7c27f136f2846.jpg');
    images.push('http://noahsoft.site:8070/data/ced3291550ba44f1bd3ed2bf0b3cae22.jpg');
    return images;
}

function bindBannerList(images) {
    bindBannerData(images);
    createSwiper();
}

function bindBannerData(images) {
    var html = getBannersCode(images);
    $('#banners').html(html);
}

function getBannersCode(images) {
    var html = '';
    $(images).each(function (index, item) {
        html += getBannerCode(item);
    });
    return html;
}

function getBannerCode(image) {
    var html = '';
    html += '<div class="swiper-slide">';
    html += '<img src="' + image + '" alt="" style="width:100%;">';
    html += '</div>';
    return html;
}

function createSwiper() {
    var swiper = new Swiper('.swiper-container', {
        spaceBetween: 0,
        centeredSlides: true,
        autoplay: {
            delay: 2500,
            disableOnInteraction: false,
        },
        pagination: {
            el: '.swiper-pagination',
            clickable: true,
        }
    });
}