var mTabTitles = ['Tab0', 'Tab1'];    //set titles of tabs
var mCodeList = null;
var mLastIndex = -1;

function initPage() {
}

function bindPage() {
	bindData();
}

function bindData() {
    bindTabTitles();
    chooseTab(0);
}

function bindTabTitles() {
    mCodeList = [];
    var html = '';
    $(mTabTitles).each(function (index, item) {
        html += '<div class="col text-center py-2" id="tab' + index + '" onclick="chooseTab(' + index + ');">' + item + '</div>';
        mCodeList.push(null);
    });
    $('#tabs').html(html);
}

function chooseTab(index) {
    if (index != mLastIndex) {
        $('#tab' + mLastIndex).removeClass('highlight');
        $('#tab' + index).addClass('highlight');
        mLastIndex = index;

        var html = mCodeList[index];
        if (html == null) {
            getTabResultCode();
        } else {
            bindTabData();
        }
    }
}

function getTabResultCode() {
    if (mCodeList[mLastIndex] == null) {
        fetchTabResultCode();
    } else {
        bindTabData();
    }
}

//user defined function according to the logic
function fetchTabResultCode() {
    if (mLastIndex == 0) {
        bindTab1ResultCode();
    } else {
        bindTab2ResultCode();
    }
}

function bindTab1ResultCode() {
    var data = getUserIdObject();
    jAjaxGet('/user/postVipRecords', data, function (json) {
        //get data by tab
        var html = Math.random();

        //keep below code after data has been returned, mostly through ajax
        mCodeList[mLastIndex] = html;
        bindTabData();
    })
}

function bindTab2ResultCode() {
    var data = getUserIdObject();
    jAjaxGet('/user/postVipRecords', data, function (json) {
        //get data by tab
        var html = Math.random();

        //keep below code after data has been returned, mostly through ajax
        mCodeList[mLastIndex] = html;
        bindTabData();
    })
}

function bindTabData() {
    var code = mCodeList[mLastIndex];
    $('#dataList').html(code);
}