var mOrderList = [];
var mXXXXPageNumber = 1;
var mXXXXLoading = false;
var mXXXXFullyLoaded = false;

function initPage() {
    $('.page').scroll(function() {
        var reachedBottom = isScrollToBottom(this);
        if (reachedBottom) {
            if (mXXXXLoading == false) {
                if (mXXXXFullyLoaded == false) {
                    bindOrderListApi();
                } else {
                    showToast(CONFIG_NO_MORE_DATA_MESSAGE);
                }
            }
        }
    });
}

function bindPage() {
    bindData();
}

function bindData() {
    bindOrderListApi();
}

function bindOrderListApi() {
    mXXXXLoading = true;

    var data = getUserIdObject();
    data.page = mXXXXPageNumber++;
    jAjaxGet('/user/userVipRecords', data, function (json) {
        console.log(data.page, json.list.length)
        mOrderList = mOrderList.concat(json.list);
        if (json.list.length < CONFIG_PAGE_SIZE) {
            mXXXXFullyLoaded = true;
        }
        bindOrderList();
        mXXXXLoading = false;
    }, function () {
        mXXXXLoading = false;
    }, function () {
        mXXXXLoading = false;
    })
}

function bindOrderList() {
    var html = getOrderListHtml();
    $('#orderList').html(html);
}

function getOrderListHtml() {
    if (mOrderList.length == 0) {
        var user = getUser();
        if (user.is_vip) {
            return getEmptyDataCode();
        } else {
            return getEmptyDataCode('非会员');
        }

    }
    var html = '';
    $(mOrderList).each(function (index, item) {
        html += getOrderHtml(index, item);
    });
    return html;
}

function getOrderHtml(index, item) {
    var html = item.expired ? '<div class="text-danger">' : '<div>';

    html += '<div class="row middle-y p-2">';
    html += '<div class="label">购买记录</div>';
    html += '<div class="col">' + item.created_at + '</div>';
    html += '</div>';
    html += '<div class="row middle-y p-2">';
    html += '<div class="label">到期日期</div>';
    html += '<div class="col">' + item.end_time + '</div>';
    html += '</div>';
    html += '<div class="row border-bottom middle-y p-2">';
    html += '<div class="label">购买价格</div>';
    html += '<div class="col">' + item.trade_order.total_amount + '</div>';
    html += '</div>';

    html += '</div>';
    return html;
}
