var FileUploader = {
    createNew: function () {
        var fileUploader = {};
        var mImagePath = null;

        if (isApp()) {
            uexUploaderMgr.onStatus = function (opCode, fileSize, percent, imgName, status) {
                switch (status) {
                    case 0:
                        break;
                    case 1:
                        uexUploaderMgr.closeUploader(opCode);
                        finishLoading();
                        break;
                    case 2:
                        alert("图片上传失败");
                        uexUploaderMgr.closeUploader(opCode);
                        break;
                }
            }

            uexUploaderMgr.cbCreateUploader = function (opCode, dataType, data) {
                if (data == 0) {
                    uexUploaderMgr.uploadFile(opCode, mImagePath, 'file', 1, 750);
                } else {
                    showToast("图片上传失败");
                }
            }
        }

        fileUploader.uploadImage = function (token, dir, imgPath, callBack) {
            mImagePath = imgPath;
            var urlPostFileUrl = getApiUrl('/public/uploadImg?dir=' + dir + '&token=' + token);
            var data = {
                url: urlPostFileUrl,
                type: 0
            };
            var uploader = uexUploaderMgr.create(data);
            var headJson = { token: '', dir: '' };
            uexUploaderMgr.setHeaders(uploader, JSON.stringify(headJson));
            uexUploaderMgr.uploadFile(uploader, imgPath, "file", 1, 750, function (packageSize, percent, responseString, status) {
                switch (status) {
                    case 0:
                        break;
                    case 1:
                        var json = JSON.parse(responseString);
                        if (json.success == false) {
                            alert(json.msg);
                        } else {
                            callBack(json.data.url);
                        }
                        break;
                    case 2:
                        alert('图片上传失败!');
                        break;
                }
            });
        }

        //below are private functions, that should be only invoked in this file
        return fileUploader;
    }
};

//var fileUploaderControl = FileUploader.createNew();
