//replace AdminPost and adminPost with instance name
var mAnnouncementID = null;
function initPage() {
    mAnnouncementID = getCache(CONST_CACHE_ANNOUNCEMENT_ID);
    if (mAnnouncementID) {
        removeCache(CONST_CACHE_ANNOUNCEMENT_ID);
    } else {
        var extras = getObjectCache(CONST_CACHE_NOTIFICATION_EXTRAS_OBJECT);
        if (extras && extras.id) {
            mAnnouncementID = extras.id;
        }
    }
    flipClose();
}

function bindPage() {
    bindData();
}

function bindData() {
    bindAnnouncementDetailsApi();
}

function bindAnnouncementDetailsApi() {
    var data = {
        id: mAnnouncementID
    };
    jAjaxGet('/public/announcements/detail', data, function (announcement) {
        console.dir(announcement)
        bindAnnouncementDetails(announcement);
    });
}

function bindAnnouncementDetails(announcement) {
    $('#title').html(announcement.title);
    $('#time').html(announcement.created_at);
    $('#content').html(announcement.content);
    $('#detail').html(announcement.detail);
}
