var mUser = getUser();

function initPage() {
}

function bindPage() {
	bindData();
}

function bindData() {
    bindUserInfo();
}

function bindUserInfo() {
    $('#name').val(mUser.name);
    $('#phone').val(mUser.phone);
    console.dir(mUser)
}

function postFeedback() {
    var name = $.trim($('#name').val());
    var phone = $.trim($('#phone').val());
    var title = $.trim($('#title').val());
    var content = $.trim($('#content').val());

    var errMsg = getDataError(title, name, phone, content);
    if (errMsg != null) {
        showToast(errMsg);
        return;
    }

    var data = {
        name: name,
        phone: phone,
        title: title,
        content: content,
        token: mUser.token
    };
    jLog(data)
    jAjaxPost('/user/feedback', data, function (json) {
        showToast('留言成功');
        $('#title').val('');
        $('#content').val('');
        
    });
}

function getDataError(title, name, phone, content) {
    if (title == '') {
        return '请输入标题';
    }
    if (name == '') {
        return '请输入姓名';
    }
    if (phone == '') {
        return '请输入手机号';
    }
    if (isPhoneNumber(phone) == '') {
        return '手机号输入有误';
    }
    if (content == '') {
        return '请输入留言';
    }
    if (content.length < 5) {
        return '留言太短';
    }
    return null;
}