var mUser = getUser();
var mUserList = [];
var mXXXXPageNumber = 1;
var mXXXXLoading = false;
var mXXXXFullyLoaded = false;

function initPage() {
    $('.page').scroll(function() {
        var reachedBottom = isScrollToBottom(this);
        if (reachedBottom) {
            if (mXXXXLoading == false) {
                if (mXXXXFullyLoaded == false) {
                    bindLinkUserListApi();
                } else {
                    showToast(CONFIG_NO_MORE_DATA_MESSAGE);
                }
            }
        }
    });
}

function bindPage() {
	bindData();
}

function bindData() {
    bindLinkUserListApi();
}

//user defined function according to the logic
function bindLinkUserListApi() {
    mXXXXLoading = true;

    var data = getUserIdObject();
    data.page = mXXXXPageNumber++;

    jAjaxGet('/user/linkUsers', data, function (json) {
        console.log(data.page, json.list.length)
        mUserList = mUserList.concat(json.list);
        if (json.list.length < CONFIG_PAGE_SIZE) {
            mXXXXFullyLoaded = true;
        }

        bindLinkUserList();
        mXXXXLoading = false;
    }, function () {
        mXXXXLoading = false;
    }, function () {
        mXXXXLoading = false;
    });
}

function bindLinkUserList() {
    var html = '';
    if (mUserList.length == 0) {
        html = getEmptyDataCode();
    } else {
        $(mUserList).each(function (index, item) {
            html += getUerHtml(index, item);
        });
    }
    $('#dataList').html(html);
}

function getUerHtml(index, item) {
    var html = '<div class="row bg-white small middle-y border-bottom p-2">';
    html += '<div><img src="' + item.avatar + '" class="cover rounded-circle" /></div>';
    html += '<div class="col ml-1">' + item.name + '</div>';
    html += '<div>' + item.created_at + '</div>';
    html += '</div>';
    return html;
}