var mUser = null;
var mWechatRegistered = false;

function initPage() {
	mUser = getUser();
	console.dir(mUser)
}

function bindPage() {
	bindData();
}

function bindData() {
	bindUserData();
}

function bindUserData() {
	bindPhone();
	bindWechat();
}

function bindPhone() {
	if (mUser.phone) {
		bindPhoneNumber();
	} else {
		phoneNotBinded();
	}
}

function bindPhoneNumber() {
	var phone = getEncryptedPhone();
	$('#phone').html(phone);

	$('#bindPhoneButton').html('已绑定').addClass('binded');
}

function getEncryptedPhone() {
	var phone = mUser.phone;
	if (phone.length == 11) {
		var start = phone.substr(0, 3);
		var end = phone.substr(8, 3);
		return start + '****' + end;
	} else {
		return phone;
	}
}

function  phoneNotBinded() {
	$('#bindPhoneButton').html('绑定').addClass('unbinded');
}

function bindWechat() {
	if (mUser.is_wechat) {
		$('#bindWechatButton').html('已绑定').addClass('binded');
	} else {
		$('#bindWechatButton').html('绑定').addClass('unbinded');
	}
}

function onBindWechat() {
	if (!mUser.is_wechat) {
		if (mWechatRegistered == false) {
			var info = uexWeiXin.registerApp('wx78c8b746aa9b52d0', 'https://noahsoft.site/app/');
			if (info != 0) {
				showToast('微信授权失败');
				return;
			}
			mWechatRegistered = true;
		}

		var requestJson = {
			scope: 'snsapi_userinfo',
			state:'0901'
		}
		uexWeiXin.login(JSON.stringify(requestJson), function (json) {
			if (json.state == '0901') {
				bindWechatAccount(json.code);
			}
		});
	}
}

function bindWechatAccount(code) {
	var data = getUserIdObject();
	data.code = code;
	jAjaxPost('/user/bindWechat', data, function (json) {
		mUser.is_wechat = 1;
		setUser(mUser);
		$('#bindWechatButton').html('绑定').addClass('binded').removeClass('unbinded');
	})
}