var mBonusList = [];
var mXXXXPageNumber = 1;
var mXXXXLoading = false;
var mXXXXFullyLoaded = false;

function initPage() {
    $('.page').scroll(function() {
        var reachedBottom = isScrollToBottom(this);
        if (reachedBottom) {
            if (mXXXXLoading == false) {
                if (mXXXXFullyLoaded == false) {
                    bindBonusListApi();
                } else {
                    showToast(CONFIG_NO_MORE_DATA_MESSAGE);
                }
            }
        }
    });
}

function bindPage() {
	bindData();
}

function bindData() {
    bindBonusListApi();
}

function bindBonusListApi() {
    mXXXXLoading = true;

    var data = getUserIdObject();
    data.page = mXXXXPageNumber++;
    jAjaxGet('/user/coupons', data, function (json) {
        console.log(data.page, json.list.length)
        mBonusList = mBonusList.concat(json.list);
        if (json.list.length < CONFIG_PAGE_SIZE) {
            mXXXXFullyLoaded = true;
        }
        bindBonusList();
        mXXXXLoading = false;
    }, function () {
        mXXXXLoading = false;
    }, function () {
        mXXXXLoading = false;
    })
}

function bindBonusList() {
    var html = getBonusListHtml();
    $('#bonusList').html(html);
}

function getBonusListHtml() {
    if (mBonusList.length == 0) {
        return getEmptyDataCode();
    }
    var html = '';
    $(mBonusList).each(function (index, item) {
        html += getBonusHtml(index, item);
    });
    return html;
}

function getBonusHtml(index, item) {
    var html = '<div class="row mt-2 pl-2 pb-0 border-bottom">';
    if (item.status == 0) {
        html += '<div style="width:6rem;height:4rem;" class="bonusGray middle">';
    } else if (item.status == 1) {
        html += '<div style="width:6rem;height:4rem;" class="bonusRed middle">';
    } else if (item.status == 2) {
        html += '<div style="width:6rem;height:4rem;" class="bonusGray middle">';
    }

    html += '<span><span class="small"><span class="small mr-1">¥</span></span>' + item.coupon_amount + '</span>';
    html += '</div>';
    html += '<div class="col small px-0 ub ub-ver">';
    html += '<div class="ub-f1 middle-y px-2 border-bottom">购物满' + item.min_amount + '元可用</div>';
    html += '<div class="ub-f1 middle-y">';
    html += '<div class="container-fluid">';
    html += '<div class="row">';
    if (item.valid_time) {
        html += '<div class="pl-2">' + item.valid_time + '</div>';
    } else {
        html += '<div class="pl-2">不限时间</div>';
    }

    html += '<div class="col small text-right">';

    if (item.status == 0) {
        html += '<span class="unused">已失效</span>';
    } else if (item.status == 1) {
        html += '<span class="used">未使用</span>';
    } else if (item.status == 2) {
        html += '<span class="unused">已使用</span>';
    }
    html += '</div>';
    html += '</div>';
    html += '</div>';
    html += '</div>';
    html += '</div>';
    html += '</div>';
    return html;
}

function chooseBonus(index) {
    var bonus = mBonusList[index];
    console.dir(bonus);
}
